# Uses of Interface
org.iupac.InChIStructureProvider

Packages that use InChIStructureProvider
Package
Description
org.iupac
org.jmol.inchi

## Uses of InChIStructureProvider in org.iupac

Methods in org.iupac that return InChIStructureProvider
Modifier and Type
Method
Description
`InChIStructureProvider`
InChIStructureProvider.`setAtom(int i)`
`InChIStructureProvider`
InChIStructureProvider.`setBond(int i)`
`InChIStructureProvider`
InChIStructureProvider.`setStereo0D(int i)`

## Uses of InChIStructureProvider in org.jmol.inchi

Classes in org.jmol.inchi that implement InChIStructureProvider
Modifier and Type
Class
Description
`class`
`InchiJmol`
`class`
`InChIJNA`
Interface with inchi.c via JNA (see JNA-InChI github project).
`class`
`InChIJS`
This class implements inchi-web.wasm from InChI-SwingJS, which is adapted from https://github.com/IUPAC-InChI/InChI-Web-Demo by Bob Hanson and Josh Charlton 2025.01.23-2025.01.24.
Methods in org.jmol.inchi that return InChIStructureProvider
Modifier and Type
Method
Description
`InChIStructureProvider`
InChIJNA.`setAtom(int i)`
`InChIStructureProvider`
InChIJS.`setAtom(int i)`
`InChIStructureProvider`
InChIJNA.`setBond(int i)`
`InChIStructureProvider`
InChIJS.`setBond(int i)`
`InChIStructureProvider`
InChIJNA.`setStereo0D(int i)`
`InChIStructureProvider`
InChIJS.`setStereo0D(int i)`